package com.yizhi.site.application.vo.domain;

import java.io.Serializable;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "InformationClassify", description = "资讯分类")
@Data
@TableName("information_classify")
public class InformationClassify extends Model<InformationClassify> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主鍵")
	private Long id;

	@ApiModelProperty(value = "资讯ID")
	@TableField("information_id")
	private Long informationId;

	@ApiModelProperty(value = "文章父类型")
	@TableField("type_one")
	private Long typeOne;

	@ApiModelProperty(value = "文章子类型（二级）")
	@TableField("type_two")
	private Long typeTwo;

	@ApiModelProperty(value = "文章子类型（三级）")
	@TableField("type_three")
	private Long typeThree;
	
	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}